import { fetchEntities } from '#/src/entities.js';

export async function onBeforeRender(_pageContext) {
	const networks = await fetchEntities({ type: 'primary' });

	return {
		pageContext: {
			title: 'Channels',
			pageProps: {
				networks,
			},
		},
	};
}
